Ext.data.JsonP.jQuery_ui_presentationUiStateselection({"tagname":"class","name":"jQuery.ui.presentationUiStateselection","autodetected":{},"files":[{"filename":"stateselection.js","href":"stateselection.html#jQuery-ui-presentationUiStateselection"}],"extends":"jQuery.widget","uses":["de_epages","ep.ui.input","ep.ui.validate","jQuery.tmpl","jQuery.ui.widget"],"since":"6.15.0","members":[{"name":"countryId","tagname":"cfg","owner":"jQuery.ui.presentationUiStateselection","id":"cfg-countryId","meta":{}},{"name":"countrySelectId","tagname":"cfg","owner":"jQuery.ui.presentationUiStateselection","id":"cfg-countrySelectId","meta":{}},{"name":"cssClasses","tagname":"cfg","owner":"jQuery.ui.presentationUiStateselection","id":"cfg-cssClasses","meta":{}},{"name":"data","tagname":"cfg","owner":"jQuery.ui.presentationUiStateselection","id":"cfg-data","meta":{}},{"name":"formError","tagname":"cfg","owner":"jQuery.ui.presentationUiStateselection","id":"cfg-formError","meta":{}},{"name":"input","tagname":"cfg","owner":"jQuery.ui.presentationUiStateselection","id":"cfg-input","meta":{}},{"name":"preselectedState","tagname":"cfg","owner":"jQuery.ui.presentationUiStateselection","id":"cfg-preselectedState","meta":{}},{"name":"shopAddressCountryId","tagname":"cfg","owner":"jQuery.ui.presentationUiStateselection","id":"cfg-shopAddressCountryId","meta":{}},{"name":"shopRegistrationField","tagname":"cfg","owner":"jQuery.ui.presentationUiStateselection","id":"cfg-shopRegistrationField","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-jQuery.ui.presentationUiStateselection","short_doc":"Create a stateselection widget. ...","component":false,"superclasses":["jQuery.widget"],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'>jQuery.widget<div class='subclass '><strong>jQuery.ui.presentationUiStateselection</strong></div></div><h4>Uses</h4><div class='dependency'>de_epages</div><div class='dependency'>ep.ui.input</div><div class='dependency'>ep.ui.validate</div><div class='dependency'>jQuery.tmpl</div><div class='dependency'>jQuery.ui.widget</div><h4>Files</h4><div class='dependency'><a href='source/stateselection.html#jQuery-ui-presentationUiStateselection' target='_blank'>stateselection.js</a></div></pre><div class='doc-contents'><p>Create a stateselection widget. As used for address inputs.</p>\n\n<p>Calling <code>.presentationUiStateselection()</code> creates a stateselection as you can see on all addresses in the storefront and backoffice.</p>\n\n<h3>Examples</h3>\n\n<p>Render stateselection with respect to a already present country selection.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>jQuery.ready({\nDOM : true,\nplugin : ['de_epages.presentation.ui.stateselection']\n}, function ($) {\nde_epages('#' + 'ID50A1052BAC1432E11D38_StateDiv').presentationUiStateselection({\n\"input\":{\n\"name\":\"State\",\n\"id\":\"ID50A1052BAC1432E11D38_State\",\n\"mandatoryStar\":\"*\",\n\"label\":\"County\",\n\"emptyEntry\":\"(Select entry)\"\n},\n\"countrySelectId\" : \"ID50A1052BAC1432E11D38_CountryID\",\n\"cssClasses\":{\n\"dialogError\" : \"DialogError\",\n\"inputField\" : \"InputField\",\n\"inputLabelling\" : \"InputLabelling\",\n\"input\" : \"Text\",\n\"select\" : \"LongText\"\n},\n\"countryId\":\"276\",\n\"preselectedState\":\"\",\n\"shopAddressCountryId\" : \"276\",\n\"formError\":false,\n\"shopRegistrationField\":{\n\"state\":{\n\"isVisibleName\":false,\n\"isMandatoryName\":false\n},\n\"countryId\":{\n\"isVisibleName\":true,\n\"isMandatoryName\":true}\n}\n},\n\"data\":{\n\"300\":{\"subdivsMandatory\":false,\"subDivisions\":[]},\n\"372\":{\"subdivsMandatory\":false,\"subDivisions\":[]},\n\"484\":{\"subdivsMandatory\":true,\"subDivisions\":[\n{\n\"code\":\"BCS\",\n\"language\":{\n\"english\":\"Baja California Sur\",\n\"native\":\"\"\n}\n},\n{\n\"code\":\"COA\",\n\"language\":{\n\"english\":\"Coahuila\",\n\"native\":\"\"\n}\n}\n]}\n\"840\":{\"subdivsMandatory\":true,\"subDivisions\":[\n{\"code\":\"AL\",\"language\":{\"english\":\"Alabama\",\"native\":\"\"}}\n]}\n}\n});\n});\n</code></pre>\n\n<p>HTML:</p>\n\n<pre><code>&lt;div class=\"InputBlock\"&gt;\n&lt;div class=\"InputLabelling\"&gt;Country *&lt;/div&gt;\n&lt;div class=\"InputField\"&gt;\n&lt;select name=\"CountryID\" class=\"LongText\" id=\"ID50A1052BAC1432E11D38_CountryID\"&gt;\n&lt;option value=\"\"&gt;(Select entry)&lt;/option&gt;\n&lt;option value=\"372\"&gt;Ireland&lt;/option&gt;\n&lt;option value=\"484\"&gt;MÃ©xico (Mexico)&lt;/option&gt;\n&lt;option value=\"840\"&gt;United States&lt;/option&gt;\n&lt;option value=\"300\"&gt;Griech (Greece)&lt;/option&gt;\n&lt;/select&gt;\n&lt;/div&gt;\n&lt;/div&gt;\n\n&lt;div id=\"ID50A1052BAC1432E11D38_StateDiv\" class=\"InputBlock HideElement\"&gt;\n&lt;div class=\"InputLabelling\"&gt;&lt;/div&gt;\n&lt;div class=\"InputField\"&gt;&lt;/div&gt;\n&lt;/div&gt;\n</code></pre>\n        <p>Available since: <b>6.15.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-countryId' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.presentationUiStateselection'>jQuery.ui.presentationUiStateselection</span><br/><a href='source/stateselection.html#jQuery-ui-presentationUiStateselection-cfg-countryId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.presentationUiStateselection-cfg-countryId' class='name expandable'>countryId</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Id of selected country.</p>\n</div><div class='long'><p>Id of selected country.</p>\n</div></div></div><div id='cfg-countrySelectId' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.presentationUiStateselection'>jQuery.ui.presentationUiStateselection</span><br/><a href='source/stateselection.html#jQuery-ui-presentationUiStateselection-cfg-countrySelectId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.presentationUiStateselection-cfg-countrySelectId' class='name expandable'>countrySelectId</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Id of the corresponding country select element.</p>\n</div><div class='long'><p>Id of the corresponding country select element.</p>\n</div></div></div><div id='cfg-cssClasses' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.presentationUiStateselection'>jQuery.ui.presentationUiStateselection</span><br/><a href='source/stateselection.html#jQuery-ui-presentationUiStateselection-cfg-cssClasses' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.presentationUiStateselection-cfg-cssClasses' class='name expandable'>cssClasses</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>A hash specifying the relevant css classes. ...</div><div class='long'><p>A hash specifying the relevant css classes. (E.g. &quot;dialogError&quot;, &quot;inputField&quot;,...)</p>\n</div></div></div><div id='cfg-data' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.presentationUiStateselection'>jQuery.ui.presentationUiStateselection</span><br/><a href='source/stateselection.html#jQuery-ui-presentationUiStateselection-cfg-data' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.presentationUiStateselection-cfg-data' class='name expandable'>data</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Data hash of the countries and their states.</p>\n</div><div class='long'><p>Data hash of the countries and their states.</p>\n</div></div></div><div id='cfg-formError' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.presentationUiStateselection'>jQuery.ui.presentationUiStateselection</span><br/><a href='source/stateselection.html#jQuery-ui-presentationUiStateselection-cfg-formError' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.presentationUiStateselection-cfg-formError' class='name expandable'>formError</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Boolean indicating whether this state selection caused a formError.</p>\n</div><div class='long'><p>Boolean indicating whether this state selection caused a formError.</p>\n</div></div></div><div id='cfg-input' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.presentationUiStateselection'>jQuery.ui.presentationUiStateselection</span><br/><a href='source/stateselection.html#jQuery-ui-presentationUiStateselection-cfg-input' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.presentationUiStateselection-cfg-input' class='name expandable'>input</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>A hash specifying the state input field to be created. ...</div><div class='long'><p>A hash specifying the state input field to be created. (E.g. with keys &quot;name&quot;, &quot;id&quot;,...)</p>\n</div></div></div><div id='cfg-preselectedState' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.presentationUiStateselection'>jQuery.ui.presentationUiStateselection</span><br/><a href='source/stateselection.html#jQuery-ui-presentationUiStateselection-cfg-preselectedState' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.presentationUiStateselection-cfg-preselectedState' class='name expandable'>preselectedState</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Code of preselected state.</p>\n</div><div class='long'><p>Code of preselected state.</p>\n</div></div></div><div id='cfg-shopAddressCountryId' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.presentationUiStateselection'>jQuery.ui.presentationUiStateselection</span><br/><a href='source/stateselection.html#jQuery-ui-presentationUiStateselection-cfg-shopAddressCountryId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.presentationUiStateselection-cfg-shopAddressCountryId' class='name expandable'>shopAddressCountryId</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Id of country of the shop address.</p>\n</div><div class='long'><p>Id of country of the shop address.</p>\n</div></div></div><div id='cfg-shopRegistrationField' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.presentationUiStateselection'>jQuery.ui.presentationUiStateselection</span><br/><a href='source/stateselection.html#jQuery-ui-presentationUiStateselection-cfg-shopRegistrationField' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.presentationUiStateselection-cfg-shopRegistrationField' class='name expandable'>shopRegistrationField</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Hash specifying whether state/country selection is visible/mandatory for the shop.</p>\n</div><div class='long'><p>Hash specifying whether state/country selection is visible/mandatory for the shop.</p>\n</div></div></div></div></div></div></div>","meta":{}});