Ext.data.JsonP.jQuery_ui_presentationUiTray({"tagname":"class","name":"jQuery.ui.presentationUiTray","autodetected":{},"files":[{"filename":"tray.js","href":"tray.html#jQuery-ui-presentationUiTray"}],"author":[{"tagname":"author","name":"Copyright 2006-2013, epages GmbH, All Rights Reserved","email":null}],"uses":["de_epages","de_epages","ep.ui.input","ep.ui.smartsearch","jQuery.ui.widget"],"chainable":true,"return":{"type":"Object","name":"return","doc":"<p>de_epages</p>\n","properties":null,"html_type":"Object"},"members":[{"name":"options","tagname":"cfg","owner":"jQuery.ui.presentationUiTray","id":"cfg-options","meta":{}},{"name":"_create","tagname":"method","owner":"jQuery.ui.presentationUiTray","id":"method-_create","meta":{}},{"name":"destroy","tagname":"method","owner":"jQuery.ui.presentationUiTray","id":"method-destroy","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-jQuery.ui.presentationUiTray","short_doc":"The ui tray widget creates a button next to the used input. ...","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Uses</h4><div class='dependency'>de_epages</div><div class='dependency'>de_epages</div><div class='dependency'>ep.ui.input</div><div class='dependency'>ep.ui.smartsearch</div><div class='dependency'>jQuery.ui.widget</div><h4>Files</h4><div class='dependency'><a href='source/tray.html#jQuery-ui-presentationUiTray' target='_blank'>tray.js</a></div></pre><div class='doc-contents'><p>The ui tray widget creates a button next to the used input.\nBy clicking the button a dialog opens which offers the possibility to select elements from a table.</p>\n\n<h3>Example</h3>\n\n<p>HTML:</p>\n\n<pre><code>&lt;button class=\"ep-tray\"&gt;My button label&lt;/button&gt;\n</code></pre>\n\n<p>JavaScript:</p>\n\n<pre><code>$('.ep-tray').uiTray({\n    node: $('button.ep-tray'),\n    smartSearch: {\n        source: 'JSONSmartSearchProductAlias',\n        placeholder: 'Produkt Number',\n        name: 'NewProduct',\n    dialogTitle: 'My assignment dialog',\n    pageId: #ID,\n    changeAction: 'JSONInsertProducts',\n    tabs: {\n        products: {\n            id: #Shop.ProductFolder.ID\n            action: 'JSONSearchProductsToInsert',\n            additionslContent: '&lt;a href=\"#\"&gt;Additional content&lt;/a&gt;'\n        }\n    },\n});\n</code></pre>\n\n<p> Use setup.js to set up a new tray instance!</p>\n\n<p>/presentation/tray</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object</span><div class='sub-desc'><p>de_epages</p>\n</div></li></ul></div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-options' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.presentationUiTray'>jQuery.ui.presentationUiTray</span><br/><a href='source/tray.html#jQuery-ui-presentationUiTray-cfg-options' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.presentationUiTray-cfg-options' class='name expandable'>options</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Options to be passed to the widgt on initialzation ...</div><div class='long'><p>Options to be passed to the widgt on initialzation</p>\n<ul><li><span class='pre'>label</span> : String (optional)<div class='sub-desc'><p>Label for opening button</p>\n<p>Defaults to: <code>&#39;{Add Elements} ...&#39;</code></p></div></li><li><span class='pre'>smartSearch</span> : Object (optional)<div class='sub-desc'><p>A DOM (input) node where the smart search is added</p>\n<p>Defaults to: <code>undefined</code></p></div></li><li><span class='pre'>afterRender</span> : Function (optional)<div class='sub-desc'><p>A method called at the end of the render method of the trays main view</p>\n<p>Defaults to: <code>undefined</code></p></div></li><li><span class='pre'>callback</span> : callback (optional)<div class='sub-desc'><p>Callback that is fired on apply</p>\n<p>Defaults to: <code>$.noop</code></p></div></li><li><span class='pre'>dialog</span> : Object (optional)<div class='sub-desc'><p>Options for creating the tray's dialog</p>\n</div></li></ul></div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-_create' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.presentationUiTray'>jQuery.ui.presentationUiTray</span><br/><a href='source/tray.html#jQuery-ui-presentationUiTray-method-_create' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.presentationUiTray-method-_create' class='name expandable'>_create</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates the object finder dialog by clicking on the widget element ...</div><div class='long'><p>Creates the object finder dialog by clicking on the widget element</p>\n        <p>Available since: <b>6.17.0</b></p>\n</div></div></div><div id='method-destroy' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.presentationUiTray'>jQuery.ui.presentationUiTray</span><br/><a href='source/tray.html#jQuery-ui-presentationUiTray-method-destroy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.presentationUiTray-method-destroy' class='name expandable'>destroy</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Removes the added event listeners and DOM elements ...</div><div class='long'><p>Removes the added event listeners and DOM elements</p>\n        <p>Available since: <b>6.17.0</b></p>\n</div></div></div></div></div></div></div>","meta":{"chainable":true}});